#!/bin/bash
set -e

# Set the name of the virtual environment
VENV_NAME="myvenv"

# Check if the virtual environment exists
if [ ! -f "$VENV_NAME/bin/activate" ]; then
    echo "Virtual environment not found!"
    exit 1
fi

# Activate the virtual environment
source $VENV_NAME/bin/activate

# Uncomment the next line if you want to open jupyter notebook
# jupyter notebook
spyder

# Optionally, deactivate the virtual environment after running. This is more a convention for interactive use.
# deactivate
